View Issue Details

IDProjectCategoryView StatusLast Update
0003807SymmetricDSBugpublic2018-11-29 12:00
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.9.0 
Target Version3.9.16Fixed in Version3.9.16 
Summary0003807: Symmetric startup is very slow when there are lots of staging files on a SAN (3.9)
DescriptionSymmetric startup is very slow (30mins to 1 hour timeframe) when there are lots of files on a slower SAN kind of storage. Need to see if we can eliminate cases where we list all the files in staging as that seems to be what takes all the time.

Relationships

related to 0003760 closedmmichalek Symmetric startup is very slow when there are lots of staging files on a SAN 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 37bc4262

2018-11-28 10:57:40

mmichalek

Details Diff
0003807: Symmetric startup is very slow when there are lots of staging files on a SAN (3.9)
0003807
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/BatchStagingManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/StagingDataWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingFileLock.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingPurgeContext.java Diff File

SymmetricDS: 3.9 ea4cce78

2018-11-29 11:19:37

mmichalek

Details Diff
0003807: Symmetric startup is very slow when there are lots of staging files on a SAN (3.9) Fix commit
0003807
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

Issue History

Date Modified Username Field Change
2018-11-27 12:54 mmichalek New Issue
2018-11-27 12:54 mmichalek Status new => assigned
2018-11-27 12:54 mmichalek Assigned To => mmichalek
2018-11-27 12:54 mmichalek Issue generated from: 0003760
2018-11-27 12:54 mmichalek Relationship added related to 0003760
2018-11-28 10:57 mmichalek Summary Symmetric startup is very slow when there are lots of staging files on a SAN => Symmetric startup is very slow when there are lots of staging files on a SAN (3.9)
2018-11-28 10:57 mmichalek Status assigned => resolved
2018-11-28 10:57 mmichalek Resolution open => fixed
2018-11-28 10:57 mmichalek Fixed in Version => 3.9.16
2018-11-28 11:00 mmichalek Changeset attached => SymmetricDS 3.9 37bc4262
2018-11-29 12:00 mmichalek Changeset attached => SymmetricDS 3.9 ea4cce78